g6 4.8

Discussion in 'User Submitted News' started by liang123, Oct 3, 2007.

  1. liang123
    OP

    liang123 Newbie

    Newcomer
    1
    Jul 31, 2007
    Just got my G6 lite today, but it says when i placed the newly downloaded 4.8d it says error please install english version. can somone help me out on this??
     
  2. Sweater Fish Del

    Sweater Fish Del GBAtemp Regular

    Member
    1
    Jul 8, 2006
    United States
    Whoa. Big news. This better make the front page.

    I'd try installing the English version.

    http://www.handheldsources.com/Download.html


    ...word is bondage...
     
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice